"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _extends2 = _interopRequireDefault(require("babel-runtime/helpers/extends"));

var _Select = require("../Select");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var suggestSelectProps = (0, _extends2["default"])({}, _Select.selectProps, {
  // 传入select的value是否包含label，因为建议搜索可能没有列表数据，但有默认值
  labelInValue: _vueTypes["default"].bool.def(false),
  // 选中的值对应的文字展示
  label: _vueTypes["default"].string,
  // 获取数据
  loadList: _vueTypes["default"].func,
  // 无值时文字提示
  placeholder: _vueTypes["default"].string.def('请输入')
});
var _default = suggestSelectProps;
exports["default"] = _default;