"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageHeaderProps = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var PageHeaderProps = {
  // 主标题
  title: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].bool]).def(true),
  // 副标题
  subTitle: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].bool]).def(false),
  // logo
  logo: _vueTypes["default"].string.def(''),
  // 头像
  avatar: _vueTypes["default"].string.def(''),
  // 描述
  description: _vueTypes["default"].string.def('')
};
exports.PageHeaderProps = PageHeaderProps;